<form #userForm="ngForm" (ngSubmit)="getUserData()"class="user-form">
    <div class="form-group">
        <label for="code">Code:</label>
        <input type="text" id="code" name="code" [(ngModel)]="code" required minlength="6" maxlength="6">
    </div>
    <button  class="btn btn-primary" type="submit">Get User Data</button>
    <button class="btn btn-secondary" type="button" (click)="resetForm()">Reset Form</button>

</form>
<app-user *ngIf="userData && !formSubmitted" [userToUpdate]="userData" (formSubmit)="updateUser($event)"></app-user>

